Bug 179894 - ksvalidator stops at the first error
ksvalidator stops at the first error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 13:23 EST by Bill Nottingham
Modified: 2014-03-16 22:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 14:35:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-02-03 13:23:34 EST
Can it possibly read through the whole file and print all errors at once?
Comment 1 Chris Lumens 2006-02-08 17:20:13 EST
It can certainly do a much better job.  I can probably make it scan the whole
file and print at least the first error on each line.  Making it do more than
that might cause me to learn way more about optparser than I care to know, but
let's see what happens.
Comment 2 Chris Lumens 2006-02-09 11:51:46 EST
Try the next build and see if it's more to your liking.
Comment 3 Bill Nottingham 2006-02-13 14:35:24 EST
Looks better.

Note You need to log in before you can comment on or make changes to this bug.